<?php
/*
* @package JoomShopping for Joomla!
* @subpackage payment
* @author vtb
* @version 1.3.4
*/

defined('_JEXEC') or die('Restricted access');

?>
<div class="col100">
    <fieldset class="adminform">
        <legend><b><?= _JSHOP_CFG_VTBPAY_GENERAL_LEGEND; ?></b></legend>
            <table class="admintable" width="100%">
            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_VERSION_TITLE ?>
                </td>
                <td>
                    <?= _JSHOP_CFG_VTBPAY_VERSION_VALUE ?>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_CALLBACK_TITLE ?>
                </td>
                <td>
                    <?= JURI::root() . $callback_url; ?>
                </td>
            </tr>

            <tr>
                <td class="key" width="300">
                    <?= _JSHOP_CFG_VTBPAY_CLIENT_ID; ?> <span style="color:red;">*<span>
                </td>
                <td>
                    <input
                        type="text"
                        name="pm_params[vtbpay_client_id]"
                        class="inputbox form-control"
                        required="required"
                        value="<?= (isset($params['vtbpay_client_id']) ? $params['vtbpay_client_id'] : ''); ?>"/>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_CLIENT_ID_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_CLIENT_SECRET; ?> <span style="color:red;">*<span>
                </td>
                <td>
                    <input
                        type="text"
                        name="pm_params[vtbpay_client_secret]"
                        class="inputbox form-control"
                        required="required"
                        value="<?= (isset($params['vtbpay_client_secret']) ? $params['vtbpay_client_secret'] : ''); ?>"/>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_CLIENT_SECRET_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_MERCHANT_AUTHORIZATION; ?>
                </td>
                <td>
                    <input
                        type="text"
                        name="pm_params[vtbpay_merchant_authorization]"
                        class="inputbox form-control"
                        value="<?= (isset($params['vtbpay_merchant_authorization']) ? $params['vtbpay_merchant_authorization'] : ''); ?>"/>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_MERCHANT_AUTHORIZATION_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_TESTMODE; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.booleanlist',
                        'pm_params[vtbpay_test_mode]',
                        'class="inputbox" size="1"',
                        $params['vtbpay_test_mode'],
                        'JYES',
                        'JNO',
                        false
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_TESTMODE_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_LOGGING; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.booleanlist',
                        'pm_params[vtbpay_logging]',
                        'class="inputbox" size="1"',
                        $params['vtbpay_logging'],
                        'JYES',
                        'JNO',
                        false
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_LOGGING_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_STAGES_TITLE; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.booleanlist',
                        'pm_params[vtbpay_two_stage]',
                        'class="inputbox" size="1"',
                        $params['vtbpay_two_stage'],
                        'JYES',
                        'JNO',
                        false
                    );
                    ?>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_TRANSACTION_END; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $orders->getAllOrderStatus(),
                        'pm_params[transaction_end_status]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['transaction_end_status'] ?? 6
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_TRANSACTION_END_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_TRANSACTION_PENDING; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $orders->getAllOrderStatus(),
                        'pm_params[transaction_pending_status]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['transaction_pending_status'] ?? 1
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_TRANSACTION_PENDING_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_TRANSACTION_CANCEL; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $orders->getAllOrderStatus(),
                        'pm_params[transaction_cancel_status]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['transaction_cancel_status'] ?? 3
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_TRANSACTION_CANCEL_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_TRANSACTION_REFUND; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $orders->getAllOrderStatus(),
                        'pm_params[transaction_refund_status]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['transaction_refund_status'] ?? 4
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_TRANSACTION_REFUND_DESC; ?></p>
                </td>
            </tr>
        </table>
    </fieldset>
    <fieldset class="adminform">
        <legend><b><?= _JSHOP_CFG_VTBPAY_FISCALIZATION_LEGEND; ?></b></legend>
        <table class="admintable" width="100%">
            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_FISCAL_ENABLE; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.booleanlist',
                        'pm_params[fiscal_enable]',
                        'class="inputbox" size="1"',
                        $params['fiscal_enable'],
                        'JYES',
                        'JNO',
                        false
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_FISCAL_ENABLE_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_FISCAL_EMAIL; ?>
                </td>
                <td>
                    <input
                            type="text"
                            name="pm_params[fiscal_email]"
                            class="inputbox form-control"
                            value="<?= (isset($params['fiscal_email']) ? $params['fiscal_email'] : ''); ?>"/>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_FISCAL_EMAIL_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_FISCAL_DELIVERY; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $payments,
                        'pm_params[fiscal_delivery]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['fiscal_delivery']
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_FISCAL_DELIVERY_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_FISCAL_MEASURE; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $measure,
                        'pm_params[fiscal_measure]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['fiscal_measure']
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_FISCAL_MEASURE_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_FISCAL_TAX; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $taxes,
                        'pm_params[fiscal_tax]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['fiscal_tax']
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_FISCAL_TAX_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_FISCAL_PAYMENT; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $payments,
                        'pm_params[fiscal_payment]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['fiscal_payment']
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_FISCAL_PAYMENT_DESC; ?></p>
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?= _JSHOP_CFG_VTBPAY_FISCAL_SUBJECT; ?>
                </td>
                <td>
                    <?= JHTML::_(
                        'select.genericlist',
                        $subjects,
                        'pm_params[fiscal_subject]',
                        'class="inputbox form-control form-select" size="1"',
                        'status_id',
                        'name',
                        $params['fiscal_subject']
                    );
                    ?>
                    <p style="font-size: 0.7rem"><?= _JSHOP_CFG_VTBPAY_FISCAL_SUBJECT_DESC; ?></p>
                </td>
            </tr>
        </table>
    </fieldset>
</div>
<div class="clr"></div>
