<?php
defined('_JEXEC') or die('Restricted access');
define('_JSHOP_CFG_VTBPAY_GENERAL_LEGEND', 'General settings');
define('_JSHOP_CFG_VTBPAY_FISCALIZATION_LEGEND', 'Fiscalization settings');
define('_JSHOP_CFG_VTBPAY_VERSION_TITLE', 'Version');
define('_JSHOP_CFG_VTBPAY_VERSION_VALUE', '1.3.4');
define('_JSHOP_CFG_VTBPAY_CALLBACK_TITLE', 'CallbackURL for personal account');
define('_JSHOP_CFG_VTBPAY_CLIENT_ID', 'Client ID');
define('_JSHOP_CFG_VTBPAY_CLIENT_ID_DESC', 'The merchant customer ID is required to call the API.');
define('_JSHOP_CFG_VTBPAY_CLIENT_SECRET', 'Client Secret');
define('_JSHOP_CFG_VTBPAY_CLIENT_SECRET_DESC', 'The merchant secret key is required to call the API.');
define('_JSHOP_CFG_VTBPAY_MERCHANT_AUTHORIZATION', 'Merchant-Authorization');
define('_JSHOP_CFG_VTBPAY_MERCHANT_AUTHORIZATION_DESC', 'The request header used by the merchant resource for additional authentication when accessing the payment gateway.');
define('_JSHOP_CFG_VTBPAY_TESTMODE', 'Enable test mode');
define('_JSHOP_CFG_VTBPAY_TESTMODE_DESC', 'In this mode, no payment is charged for the product.');
define('_JSHOP_CFG_VTBPAY_LOGGING', 'Enable logging');
define('_JSHOP_CFG_VTBPAY_LOGGING_DESC', 'Logging is used to debug the plugin performance by saving API request data.');
define('_JSHOP_CFG_VTBPAY_TRANSACTION_END', 'Successful transaction order status');
define('_JSHOP_CFG_VTBPAY_TRANSACTION_REFUND', 'Refund transaction order status');
define('_JSHOP_CFG_VTBPAY_TRANSACTION_PENDING', 'Holded transaction order status');
define('_JSHOP_CFG_VTBPAY_TRANSACTION_CANCEL', 'Order status of canceled transaction');
define('_JSHOP_CFG_VTBPAY_TRANSACTION_END_DESC', 'Select the order status that will be displayed after successful payment.');
define('_JSHOP_CFG_VTBPAY_TRANSACTION_REFUND_DESC', 'Select the order status that will be displayed after refund payment.');
define('_JSHOP_CFG_VTBPAY_TRANSACTION_PENDING_DESC', 'Select the order status that will be displayed when on hold.');
define('_JSHOP_CFG_VTBPAY_TRANSACTION_CANCEL_DESC', 'Select the order status that will be displayed after the payment is cancelled.');
//SUCCESSFULL
define('_JSHOP_CFG_VTBPAY_MSG_SUCCESSFULLY_PAID', 'Die Zahlung wurde erfolgreich abgeschlossen.');
define('_JSHOP_CFG_VTBPAY_MSG_SUCCESSFULLY_PENDING', 'Zahlung erhalten, aber nicht bestätigt.');
define('_JSHOP_CFG_VTBPAY_MSG_SUCCESSFULLY_REFUNDED', 'Die Zahlung wurde zurückerstattet.');
define('_JSHOP_CFG_VTBPAY_MSG_SUCCESSFULLY_CANCELED', 'Die Zahlung war nicht erfolgreich. Ihre Bestellung wurde storniert.');
// ALREADY
define('_JSHOP_CFG_VTBPAY_MSG_ORDER_ALREADY_CREATED', 'The order has already been created.');
define('_JSHOP_CFG_VTBPAY_MSG_ORDER_ALREADY_EXPIRED', 'The order has already expired.');
define('_JSHOP_CFG_VTBPAY_MSG_ORDER_ALREADY_PAID', 'The order has already been paid.');
define('_JSHOP_CFG_VTBPAY_MSG_ORDER_ALREADY_CANCELED', 'The order has already been cancelled.');
define('_JSHOP_CFG_VTBPAY_MSG_ORDER_ALREADY_PENDING', 'The order is already on hold.');
define('_JSHOP_CFG_VTBPAY_MSG_ORDER_ALREADY_VOIDED', 'The order has already been returned for the amount: ');
// ERROR
define('_JSHOP_CFG_VTBPAY_MSG_TRANSACTION_REJECTED', 'The transaction was rejected.');
define('_JSHOP_CFG_VTBPAY_MSG_ERROR_CHARGEBACK', 'An error occurred when creating a receipt, your order has been cancelled. Contact site support.');
define('_JSHOP_CFG_VTBPAY_MSG_URL_FETCH_ERROR', 'Error fetching URL.');
define('_JSHOP_CFG_VTBPAY_MSG_METHOD_ERROR', 'Method error.');
//STAGES MODE
define('_JSHOP_CFG_VTBPAY_STAGES_TITLE', 'Two-stage payment');
// Fiscalization
define('_JSHOP_CFG_VTBPAY_FISCAL_ENABLE', 'Enable fiscalization');
define('_JSHOP_CFG_VTBPAY_FISCAL_ENABLE_DESC', 'Enabling and disabling fiscalization (check the box to enable fiscalization).');
define('_JSHOP_CFG_VTBPAY_FISCAL_EMAIL', 'Email');
define('_JSHOP_CFG_VTBPAY_FISCAL_EMAIL_DESC', 'The email address for sending the fiscal receipt, if the user email address is not specified.');
define('_JSHOP_CFG_VTBPAY_FISCAL_DELIVERY', 'Payment method for delivery');
define('_JSHOP_CFG_VTBPAY_FISCAL_DELIVERY_DESC', 'The payment method for the delivery service.');
define('_JSHOP_CFG_VTBPAY_FISCAL_MEASURE', 'Units of measurement');
define('_JSHOP_CFG_VTBPAY_FISCAL_MEASURE_DESC', 'Units of measurement of the quantity of the object of calculation.');
define('_JSHOP_CFG_VTBPAY_FISCAL_TAX', 'The tax rate');
define('_JSHOP_CFG_VTBPAY_FISCAL_TAX_DESC', 'Sets the tax number in the CCT.');
define('_JSHOP_CFG_VTBPAY_FISCAL_PAYMENT', 'Calculation method');
define('_JSHOP_CFG_VTBPAY_FISCAL_PAYMENT_DESC', 'An indication of the calculation method.');
define('_JSHOP_CFG_VTBPAY_FISCAL_SUBJECT', 'The subject of the calculation');
define('_JSHOP_CFG_VTBPAY_FISCAL_SUBJECT_DESC', 'A sign of the subject of calculation.');

// MAIL
define('_JSHOP_CFG_VTBPAY_REFUND_TITLE', 'Refund payment on the website');
define('_JSHOP_CFG_VTBPAY_REFUND_BODY_START', 'On order No. ');
define('_JSHOP_CFG_VTBPAY_REFUND_BODY_END', ' a refund was made. Reason: check issue error.');
